Page MenuHomePhabricator

Package Apertium language pairs and deploy (es-it, es-ro, is-sv, mlt-ara)
Closed, ResolvedPublic1 Estimate Story Points

Description

Package following Apertium language pairs:

  • es <-> it
  • ro -> es
  • is <-> sv
  • mlt <-> ara

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterconfig: Add Apertium MT pairs
operations/puppet : productionApertium: Add new language pairs for Apertium MT
operations/debs/contenttranslation/apertium-es-it : masterAdded initial Debian package for apertium-es-it
operations/debs/contenttranslation/apertium-es-ro : masterAdded initial Debian package for apertium-es-ro
operations/debs/contenttranslation/apertium-is-sv : masterAdd initial Debian package for apertium-is-sv
operations/debs/contenttranslation/apertium-mlt-ara : masterAdded Debian package for apertium-mlt-ara

Event Timeline

KartikMistry claimed this task.
KartikMistry raised the priority of this task from to Needs Triage.
KartikMistry updated the task description. (Show Details)
KartikMistry added a subscriber: KartikMistry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2015, 7:29 AM
Amire80 triaged this task as Medium priority.Sep 9 2015, 8:35 AM
Amire80 awarded a token.
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint break board.
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 7 2015, 9:43 AM

Change 244170 had a related patch set uploaded (by KartikMistry):
Added initial Debian package for apertium-es-it

https://gerrit.wikimedia.org/r/244170

Change 244183 had a related patch set uploaded (by KartikMistry):
Added initial Debian package for apertium-es-ro

https://gerrit.wikimedia.org/r/244183

KartikMistry updated the task description. (Show Details)Oct 7 2015, 4:51 PM
KartikMistry updated the task description. (Show Details)Oct 8 2015, 6:29 AM
KartikMistry updated the task description. (Show Details)

Change 244405 had a related patch set uploaded (by KartikMistry):
Add initial Debian package for apertium-is-sv

https://gerrit.wikimedia.org/r/244405

KartikMistry updated the task description. (Show Details)Oct 8 2015, 6:55 AM

Change 244410 had a related patch set uploaded (by KartikMistry):
Added Debian package for apertium-mlt-ara

https://gerrit.wikimedia.org/r/244410

See T114988 where apertium-isl-eng is separated from this task.

KartikMistry renamed this task from Package Apertium language pairs and deploy (es-it, es-ro, isl-eng, is-sv, mlt-ara) to Package Apertium language pairs and deploy (es-it, es-ro, is-sv, mlt-ara).Oct 8 2015, 7:41 AM
KartikMistry updated the task description. (Show Details)
KartikMistry moved this task from In progress to In review on the LE-CX7-Sprint 1 board.
KartikMistry edited a custom field.

Change 244410 merged by Alexandros Kosiaris:
Added Debian package for apertium-mlt-ara

https://gerrit.wikimedia.org/r/244410

Change 244405 merged by Alexandros Kosiaris:
Add initial Debian package for apertium-is-sv

https://gerrit.wikimedia.org/r/244405

Change 244183 merged by Alexandros Kosiaris:
Added initial Debian package for apertium-es-ro

https://gerrit.wikimedia.org/r/244183

Change 244170 merged by Alexandros Kosiaris:
Added initial Debian package for apertium-es-it

https://gerrit.wikimedia.org/r/244170

KartikMistry moved this task from Blocked to QA on the LE-CX7-Sprint 1 board.Oct 19 2015, 4:17 AM
KartikMistry moved this task from QA to In review on the LE-CX7-Sprint 1 board.

Change 247187 had a related patch set uploaded (by KartikMistry):
config: Add Apertium MT pairs

https://gerrit.wikimedia.org/r/247187

Change 247224 had a related patch set uploaded (by KartikMistry):
Apertium: Add new language pairs for Apertium MT

https://gerrit.wikimedia.org/r/247224

Change 247224 merged by Alexandros Kosiaris:
Apertium: Add new language pairs for Apertium MT

https://gerrit.wikimedia.org/r/247224

Change 247187 merged by jenkins-bot:
config: Add Apertium MT pairs

https://gerrit.wikimedia.org/r/247187

KartikMistry moved this task from In review to Done on the LE-CX7-Sprint 1 board.Oct 20 2015, 7:47 AM
Amire80 closed this task as Resolved.Oct 23 2015, 5:24 PM
Amire80 added a subscriber: Amire80.

Verified.

Snaevar removed a subscriber: Snaevar.Dec 2 2015, 9:41 PM